Unreal 4.27 Sketchfab Plugin not working for 4.27

I am working with Unreal Engine 4.27, I downloaded the correct version of the sketchfab plugin zip and once all set up in the startup it says the plugin is designed for U5? when downloading a zip I get the option to choose between v4.27 or 5 and I choose 4.27 so this error is strange.